Status: Closed Start date: 2008-07-31

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

I know people with rights can just remove all content of a comment to get rid of it but it is not as "evident" as a delete icon, especially

when quote and edit icons are present.

Related issues:

Related to Redmine - Feature #1665: Ability to delete tracker comments Closed 2008-07-20

Related to Redmine - Patch #7610: Patch providing issue journal rollback New 2011-02-11

Has duplicate Redmine - Feature #11255: Add delete button for comment Closed

Associated revisions

Revision 15072 - 2016-01-20 12:05 - Jean-Philippe Lang

Adds a "Delete" button to issue notes (#1725).

History

#1 - 2010-07-07 13:30 - Felix Schäfer

- Assignee set to Felix Schäfer

I've been wondering about this too, will have a look at it and see how quickly feasible it is.

#2 - 2010-07-07 20:00 - Felix Schäfer

- File add_a_delete_link_to_journal_entries.patch added

- Status changed from New to Resolved

- Target version set to 1.0.1

The supplied patch adds a delete button to an issue's journal entries, only for users with the right to edit the journal entry.

#3 - 2010-08-04 03:01 - Eric Davis

- Status changed from Resolved to 7

#4 - 2010-08-19 03:20 - Eric Davis

- Assignee changed from Felix Schäfer to Eric Davis

- Target version deleted (1.0.1)

There is a problem with this patch.  Journals are only deleted if:

1. The notes are empty and

2. The details are empty

All this patch does is to clear the notes.  If a Journal had details, it wouldn't be deleted.  There are two options we can do here:

1. Add a new action to really delete a Journal and provide a link to it, or

2. Change this icon so it's clear that it only clears the note.

I've added Holger to this issue, I know he has an opinion about deleting things like Journals and I would like to hear what he thinks.

#5 - 2010-08-25 15:03 - Felix Schäfer
The scope of the patch wasn't to delete journals but the notes attached to it, which is currently possible to if you edit the notes to an empty string. The

current functions quote and edit only work on the notes too, so I don't think that would be that misleading.

#6 - 2010-09-01 02:01 - Eric Davis

Maybe the title attribute should say "Delete notes" then.  What do you think?

#7 - 2010-09-01 09:24 - Felix Schäfer

- Assignee changed from Eric Davis to Felix Schäfer

Can do that, I'll change the other titles (edit and quote) too to reflect that if it's ok with you?

#8 - 2010-09-15 23:32 - Felix Schäfer

- Assignee changed from Felix Schäfer to Eric Davis

Eric, I slightly reworked the patch to have the title say "Delete notes", the confirmation pop-up now also states that the changes to the issue will not be

reverted if the journal details are not empty.

See http://github.com/thegcat/redmine/commit/5be3c6e9b405bf03ad69226e8235e3d6618adbf5 for the change.

#9 - 2010-10-25 16:59 - Eric Davis

- Assignee deleted (Eric Davis)

#10 - 2011-02-11 20:45 - Brian Lindahl

created a related patch for rolling back journal entries #7610

This rolls back the changes made to the issue as well as removing the journal entry. Note that this capability is only enabled for the last journal entry

(for obvious reasons).

#11 - 2012-07-02 19:03 - rm user

another 4 years issue.. :(

#12 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#13 - 2014-03-21 11:52 - Luis Serrano Aranda

+1

#14 - 2014-03-28 07:54 - Terry Cullen

+1

#15 - 2014-03-28 10:34 - rm user

what's up with this? (5 years old and counting...)

i managed to delete WHOLE issue instead of the single comment.. :(

#16 - 2016-01-17 16:29 - Go MAEDA

- File delete-note.png added

- File add_a_delete_link_to_journal_entries_v2.patch added

- Target version set to 3.3.0

Updated patch for 3.2.0.devel.15067.

The procedure to delete note is a little bit difficult to understand. This change improve usability. In addition, we can avoid accidental deletion of a issue

by clicking delete button under a latest note.

Please include this feature in Redmine 3.3.0.
#17 - 2016-01-20 12:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r15072.

I made slight changes to the patch:

removed image_tag regarding #21256

use of existing confirmation message

AJAX call (similar to how the journal edit works)

Thanks.

#18 - 2016-01-20 12:46 - rm user

wow! 7years old issue is finally solved!

big up Jean-Philippe and Go MAEDA!

what about permissions btw? is there a permission where user can delete only his own comments on issues?

#19 - 2016-01-20 13:04 - Jean-Philippe Lang

rm user wrote:

what about permissions btw? is there a permission where user can delete only his own comments on issues?

 As noted above, users with "edit notes" or "edit own notes" were already able to delete notes by making them empty. The delete button is just some

kind of shortcut for doing this. The permissions are the same, so the answer is yes, you can allow users to edit/delete only their own notes.

Files

add_a_delete_link_to_journal_entries.patch 968 Bytes 2010-07-07 Felix Schäfer

delete-note.png 47.3 KB 2016-01-17 Go MAEDA

add_a_delete_link_to_journal_entries_v2.patch 1.67 KB 2016-01-17 Go MAEDA
